Scrum - Defect #1199

Error on new issue on all projects issues page
2016-09-23 17:50 - Johan GUILBAUD (TIBCO)

Status: Resolved

Priority: Normal

Category: Issues list & form

Target version: Scrum v0.15.0

Source: Customer Blocked: No
Detected on version: Scrum v0.14.0 Alone:

Description

Hello,

on page with all issues from all projects : http://<host>/issues and clicking on "new issue": http://<host>/issues/new Internal Error
appears

In the production.log :

ActionView: :Template: :Error (undefined method "module_enabled?' for nil:NilClass):
1: <%- if @project.module_enabled? (:scrum) -%>

2: <div class="splitcontent">
38 <div class="splitcontentleft">
4: <p>

plugins/scrum/app/views/scrum_hooks/issues/_form.html.erb:1:in " _plugins_scrum_app_views_scrum_h
ooks_issues_ form_html_erb_ 2660277928333012030_70066810751020"'

the bug seems to be cause of there is no project selected

thanks by advance

Environment:
Redmine version 3.3.0.stable.15582
Ruby version 2.3.1-pll2 (2016-04-26) [x86_64-1inux]
Rails version 4.2.6
Environment production
Database adapter Mysqgl2
SCM:
Subversion 1.8.10
Git 2.1.4
Filesystem
Redmine plugins:
scrum 0.14.0
Subtasks:
To do # 1205: Find bug & fix it Resolved
History

#1 - 2016-09-23 17:51 - Johan GUILBAUD (TIBCO)

(please edit description to remove the url of our redmine, thanks)

#2 - 2016-10-07 17:14 - Emilio Gonzalez Montana
- Description updated

- Status changed from New to In progress

- Target version set to Scrum v0.15.0

- Sprint set to Sprint 29

#3 - 2016-10-07 17:23 - Emilio Gonzalez Montaina

- Status changed from In progress to Resolved
#4 - 2016-10-10 10:06 - Johan GUILBAUD (TIBCO)

it works ! thanks :)

#5 - 2016-10-12 11:03 - Emilio Gonzalez Montaina
Johan GUILBAUD (TIBCO) wrote:

it works ! thanks :)

Thanks to you for the bug report :)
